commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From robert burrell donkin <robertburrelldon...@blueyonder.co.uk>
Subject Re: [logging][PROPOSAL] a solution to incompatibility between log4j versions
Date Wed, 19 May 2004 21:42:24 GMT
On 19 May 2004, at 22:32, Adam R. B. Jack wrote:

>> i've added some optional unit tests that give me confidence that a
>> version of commons-logging compiled against log4j CVS HEAD will run
>> against 1.2.7. it'd be a good idea to find a way for gump to run this
>> test (but i'm not too sure at the moment how to do this). i'll 
>> probably
>> add another where the log4j 1.3 jar is explicitly specified tomorrow.
>
> We have both 'CVS HEAD' and 'v1_2-branch' available to Gump. Is that 
> close
> enough to 1.2.7?

yep

> If so, the trick would be to run commons-logging unit tests separately 
> from
> the compile, and run two of them with a dependency on logging-log4j and
> logging-log4j-12.

something along those lines would probably work.

a second gump target which tested just the log4j1.2.x compatibility 
would probably do the trick. a third which allows us to test the avalon 
framework logger would be cool as well.

i haven't found time to fix digester, beanutils and struts gump runs 
yet but i hope to do so tomorrow. i you could give me some quick 
pointers to the best way to do the additional targets, i'll add them to 
my list of stuff to do...

- robert


---------------------------------------------------------------------
To unsubscribe, e-mail: commons-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: commons-dev-help@jakarta.apache.org


Mime
View raw message